#ifndef COMMANDWIDGET_H
#define COMMANDWIDGET_H

#include <QWidget>
#include <QLabel>
#include <QSlider>
#include <QPushButton>

// En cas de redefinition
#ifndef MODEPLAY
#define MODEPLAY
typedef enum {PLAY, PAUSE} ModePlay;
#endif

class CommandWidget :  public QWidget
{
    Q_OBJECT
public:
    // dt_ms : intervalle de temps machine entre deux tics en ms
    // nbTics : Nbmax d'échantillons générés avant arrêt du Timer
    CommandWidget(int dt_ms, int nbTics, QWidget *parent = 0);
    void setTimer(int dt_ms){dtime_ms = dt_ms;}
    void setSlider(int numTic, int nbTics);
    QPushButton *recButton;
    ModePlay modePlay;

signals:
    void isTime(int n);

private slots:
    void invSlot(); // Bouton inversion sens de marche
    void timeOutSlot(); // Tic horloge
    void initButtonSlot(); // Bouton INIT
    void setNechSlot(int m); // Ecoute Slider

public slots:
    void playpauseSlot(); // Bouton Play/Pause

private :
    int dtime_ms;
    int sensTime ;
    int nech, nechtot;
    QTimer *timer;
    QSlider *slider;
    QLabel *labelSlider;
    char formdec[10]; // format pour affichage dans le labelSlider
    QPushButton *play_pauseButton;
    QPushButton *stepButton;
    QPushButton *invButton;
    QPushButton *initButton;
};

#endif // COMMANDWIDGET_H
