#ifndef CONFDIALOG_H
#define CONFDIALOG_H

#include <QDialog>
#include <QStringListModel>

class CineSpace;

namespace Ui {
class ConfDialog;
}

class ConfDialog : public QDialog
{
    Q_OBJECT

public:
    friend class CineSpace;
    ConfDialog(CineSpace *cine, QWidget *parent = 0);
    void initLongiLati(double longitude, double latitude);

    ~ConfDialog();

private slots:
    void on_doubleSpinBox_lat_valueChanged(double );
    void on_doubleSpinBox_lon_valueChanged(double );

    void slider_lat_setValue(double);
    void slider_lon_setValue(double);

    void spinbox_lat_setValue(int);
    void spinbox_lon_setValue(int);

    void on_pushButton_addTLE_clicked();
    void on_pushButton_addSatFile_clicked();
    void on_pushButton_selSatcou_clicked();      
    void on_pushButton_AddSatsfromTle_clicked();

    void on_pusButton_OterSats_clicked();

    void on_horizontalSliderPrecision_valueChanged(int value);

private:
    CineSpace *cine;
    Ui::ConfDialog *ui;
    bool notinitok;
    QStringListModel *model_sattle;
    QStringListModel *model_satsel;
    void makeListViewSatsSel();

};

#endif // CONFDIALOG_H
