#ifndef PLANETES_H
#define PLANETES_H

typedef enum {MERCURE, VENUS, TERRE, MARS, JUPITER, SATURNE, URANUS, NEPTUNE} PlanetIndex;

#ifdef __cplusplus
extern "C" {
#endif
/*
    * Position d'une planete a la date T dans le referentiel ecliptique
    * Entrees :
    *    T : date du calcul en siecle julien depuis J2000
    *    nopla : Index de la planete (0 à 7)
    *    refJ2000 : Si true, calcul dans le référentiel fixe J2000, sinon dans le reférentiel de l'équinoxe moyen de la date
    *    methodeSpherique : Si true, sinon, methode cartesienne
    * Sortie :
    *    coords : Tableau des coordonnees de la planete dans le repere ecliptique
    *    soit dans l'ordre xE, yE, zE (en UA), lambda, beta (en radians) et rho (en UA).
*/
void pospla(double *coords, double T, int nopla, int refJ2000, int methodeSpherique);

#ifdef __cplusplus
}
#endif

#endif // PLANETES_H
